Dependencies

Sep 22, 2014 at 11:29 PM
What dependencies does this api have? Does excel have to be installed on the machine which uses this api? What other dll's are needed? (not including the core .net framework)

Thanks!
Developer
Sep 23, 2014 at 9:03 AM
The current version on nuget as a dependency on ICSharpCode.SharpZipLib.dll.

There is a new version currently in beta but not on nuget which you can try that does not have the SharpZipLib dependency
https://github.com/ExcelDataReader/ExcelDataReader/tree/f-portable

It does have a dependency on PCLStorage though, as it is based on a portable class library.

Please send all future questions to github as we have moved there now
https://github.com/ExcelDataReader/ExcelDataReader/issues